/**
 * Return a pseudo-random UUID
 * @param void
 * @return {String}
 */
const v4 = () => {
  let {random} = Math;
  let uuid = '';

  for (let i = 0; i < 32; i++) {
    let r = random() * 16 | 0;

    if (i === 8 || i === 12 || i === 16 || i === 20) {
      uuid += '-';
    }

    uuid += (i == 12 ? 4 : (i == 16 ? (r & 3 | 8) : r)).toString(16);
  }

  return uuid;
};

export default {v4};
